TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNormal ( elt-fld^fin x ) -> elt-alg^boo

### Description

<shortdoc> True iff the element x of the finite field F generates a normal basis over the prime field of F. </shortdoc>

### Examples

x_elm := Element(FiniteField(3),2);; IsNormal(x_elm);
x_elm := Element(FiniteField(9),2);; IsNormal(x_elm);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack